> For the complete documentation index, see [llms.txt](https://docs.lenses.io/latest/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lenses.io/latest/devx/6.0/changelog/lenses-agent/version-6.0.0/features-improvements-and-fixes.md).

# Features / Improvements & Fixes

## Improvements :muscle:

### Helm

{% stepper %}
{% step %}

#### **Embedded Storage Re-introduction with H2 Support**

We've brought back H2 embedded storage with comprehensive testing and improved implementation.

**✨ What's New:**

* Full H2 database support for lightweight deployments
* Enhanced persistence options for both logs and embedded storage
* Comprehensive test coverage for embedded storage scenarios

**📋 Configuration Example:**

```yaml
# Enable H2 embedded storage
lensesAgent:
  storage:
    postgres:
      enabled: false  # Disable Postgres to use H2
      
persistence:
  storageH2:
    enabled: true
    size: 5Gi
    storageClass: ""
    accessModes:
      - ReadWriteOnce
  log:
    enabled: true
    size: 2Gi
```

**✅ Benefits:**

* Simpler deployment for development/testing environments
* Reduced external dependencies
* Automatic data persistence

{% endstep %}

{% step %}

#### **Enhanced External Secrets Operator (ESO) Integration**

Updated to the latest ESO API version with extended functionality for secure credential management.
{% endstep %}
{% endstepper %}

## Fixes 🛠️

### **SQL Processors AVRO namespace**

When the AVRO namespace was overwritten via \`SET, it incorrectly validated the name.

```
SET defaults.topic.value.avro.namespace=****
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lenses.io/latest/devx/6.0/changelog/lenses-agent/version-6.0.0/features-improvements-and-fixes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
